'use strict';

exports.__esModule = true;

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _main = require('../sigma/main');

var _main2 = _interopRequireDefault(_main);

require('../sigma/plugins.relativeSize');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

/**

RelativeSize component, interface for RelativeSize sigma plugin.
It supposes that sigma graph is already in place, therefore component should not be 
mounted until graph is available. It can be used within Sigma component if graph is
preloaded, or within loader component, like NeoCypher.

Sets nodes sizes corresponding its degree.

 @param {number} initialSize  start size for every node, will be multiplied by Math.sqrt(node.degree)

**/

var RelativeSize = function (_React$Component) {
	(0, _inherits3['default'])(RelativeSize, _React$Component);

	function RelativeSize(props) {
		(0, _classCallCheck3['default'])(this, RelativeSize);

		var _this = (0, _possibleConstructorReturn3['default'])(this, _React$Component.call(this, props));

		_this.render = function () {
			return null;
		};

		_main2['default'].plugins.relativeSize(_this.props.sigma, _this.props.initialSize);
		return _this;
	}

	return RelativeSize;
}(_react2['default'].Component);

RelativeSize.propTypes = {
	initialSize: require('react').PropTypes.number.isRequired,
	sigma: require('react').PropTypes.any
};
exports['default'] = RelativeSize;
module.exports = exports['default'];